
local meta = FindMetaTable( "Player" );

if( CLIENT ) then

	function GetString( var )
	
		return LocalPlayer():GetNWString( var );
	
	end
	
end

function meta:GetRPName()

	return self:GetNWString( "RPName" );

end

function meta:GetGroupID()

	return tonumber( self:GetField( "group_id" ) );

end

function meta:GetUID()

	return self:GetField( "uid" );

end

function meta:IsSprinting()   
   
   return self:KeyDown( IN_SPEED )  
   
end  
   
function meta:IsWalking()  
   
   return not self:KeyDown( IN_SPEED )  
   
end 

function meta:IsCitizen()

	if( self:Team() == 1 ) then
		return true;
	end
	
	return false;

end

function meta:IsMale()

	return !self:IsFemale();

end

function meta:IsFemale()

	if( string.find( string.lower( self:GetModel() ), "female" ) ) then
	
		return true;
	
	end
	
	return false;

end

function meta:IsCombine()


	
	return false;

end

function meta:IsCombineDefense()

	return false;

end

function meta:IsVort()

		return false;
end

local CPModels =
{

	"models/police.mdl",

};

function meta:HasCPModel()

	return false;

end

function meta:IsCP()

	return false;

end

function meta:IsOW()

	return false;

end
 
function meta:IsOWElite()

	return false;

end

function meta:IsCOTA() 

	return false
	
end	

function meta:IsCA()

	return false;	

end

function meta:HasCombineFlag( flag )

	return false;

end
function meta:HasPlayerFlag( flag )

	if( CLIENT ) then
		if( string.find( GetString( "miscflags" ), flag ) ) then return true; end
	else
		if( string.find( self:GetField( "miscflags" ), flag ) ) then return true; end
	end
	
	return false;

end
